session_cache_expire
session_commit
Session Functions
PHP Manual

# session_cache_limiter

(PHP 4 >= 4.0.3, PHP 5)

session_cache_limiter — Get and/or set the current cache limiter

### Description

string session_cache_limiter ([ string `$cache_limiter` ] )

session_cache_limiter() returns the name of the current cache limiter.

The cache limiter defines which cache control HTTP headers are sent to the client. These headers determine the rules by which the page content may be cached by the client and intermediate proxies. Setting the cache limiter to nocache disallows any client/proxy caching. A value of public permits caching by proxies and the client, whereas private disallows caching by proxies and permits the client to cache the contents.

In private mode, the Expire header sent to the client may cause confusion for some browsers, including Mozilla. You can avoid this problem by using private_no_expire mode. The expire header is never sent to the client in this mode.

The cache limiter is reset to the default value stored in session.cache_limiter at request startup time. Thus, you need to call session_cache_limiter() for every request (and before session_start() is called).

### Parameters

`cache_limiter`

  If `cache_limiter` is specified, the name of the current cache limiter is changed to the new value.

### Return Values

Returns the name of the current cache limiter.

### ChangeLog

Version | Description
--- | ---
4.2.0 | The private_no_expire cache limiter was added.

### Examples

Example #1 session_cache_limiter() example

`<?php
/* set the cache limiter to 'private' */
session_cache_limiter('private');
$cache_limiter = session_cache_limiter();
echo "The cache limiter is now set to $cache_limiter<br />";
?>`

### See Also

- session.cache_limiter

session_cache_expire
session_commit
Session Functions
PHP Manual